Subject: Re: bug#9928: AM_SILENT_RULES breakage with old make(1)

From: Stefano Lattarini <[email-masked]>
Date: Tue, 1 Nov 2011 11:31:10 +0100

tags 9928 wontfix
close 9928
thanks

On Tuesday 01 November 2011, Daniel Richard wrote:
> Hello list,
Hi Daniel, thanks for the report.

> I've recently encountered some breakage in building a package
> with Automake 1.11.1's new silent-rules feature enabled, on a
> VM install of NeXTSTEP 3.3. An example:
>
> [SNIP]
>
> I fiddled around with the assignments where $(AM_DEFAULT_VERBOSITY) and
> $(V) are used. Turns out that if you change these assignments [SNIP] to
> curly-braces-in-parens...
> 
>     AM_V_CC = $(am__v_CC_${V})
>     am__v_CC_ = $(am__v_CC_${AM_DEFAULT_VERBOSITY})
> 
> ...then the variable references are processed correctly, and the silent-
> rules feature works as advertised.
> 
Wikipedia tells me that NeXTSTEP is now 16 years old, so I have a quite
strong opinion against the possitility of tweaking/uglifying automake
in order to support such an ancient and corner case system.  My advice
is that, if you want to continue using NeXTSTEP, you install GNU make
and use it instead of the native make.

I'm thus closing this bug report as "won't fix".  But if you more
observations or remarks to add, feel free to  continue the discussion
here (we can still re-open the bug report at a later date, if the
need arises).

Thanks,
  Stefano